import voi.vowrite.* ;
import java.io.* ;

class SampleCode
{
      public static void main(String args[])
      {
          FileOutputStream fout = null ;
          try
	  {
		fout= new FileOutputStream("votable1.xml") ;
	  }catch(FileNotFoundException e){}

          SampleCode c = new SampleCode() ;
          c.generateVotable(fout) ;
      }

      public void generateVotable(OutputStream oStream) 
      {
            PrintStream prnStream = new PrintStream(oStream) ;

            // Create an instance of VOTableStreamingWriter class.
	    VOTableStreamWriter voWrite = new VOTableStreamWriter(prnStream) ;

            //Create a votable element
            VOTable vot = new VOTable() ;

            //Set description of VOTable.
            String descString = "Inter University Center for Astronomy and Astrophysics(http://www.iucaa.ernet.in)\n Virtual Observatory India(http://vo.iucaa.ernet.in/~voi)\n In case of problems, please contact: voindia@vo.iucaa.ernet.in" ; 
       
            vot.setDescription(descString) ;		

            // Write the VOTable element to outputStream.
            voWrite.writeVOTable(vot) ; 

            //Create a new resource element.          
            VOTableResource voResource = new VOTableResource() ; 

            // Write the Resource element to outputStream.         
            voWrite.writeResource(voResource) ;

            // Create a new Table element
            VOTableTable voTab = new VOTableTable() ;
            voTab.setName("Table1") ;

            // Add two fields in the table.
            VOTableField voField1 = new VOTableField() ;
	    voField1.setName("Planet");	    
	    voField1.setDataType("char") ;	    
	    voField1.setArraySize("10") ;
            voTab.addField(voField1) ;

            VOTableField voField2 = new VOTableField() ;
	    voField2.setName("Diameter");	    
	    voField2.setDataType("int") ;	    
	    voField2.setWidth("5") ;
            voTab.addField(voField2) ;
            
            // Write the Table element to outputStream.
            voWrite.writeTable(voTab) ;

            String [] firstRow = {"Mercury", "4880"} ;
            String [] secondRow = {"Venus", "12112"} ;
            String [] thirdRow = {"Earth", "12742"} ;  

            // Write the data to outputStream.
            voWrite.addRow(firstRow, 2) ;
            voWrite.addRow(secondRow, 2) ;
            voWrite.addRow(thirdRow, 2) ;

            // End the TABLE element.
            voWrite.endTable() ;

            // End the RESOURCE element.
	    voWrite.endResource() ;		

            // End the VOTABLE element.				
	    voWrite.endVOTable() ;		
      }
}